const CacheBase = require("../cache.base");
const system = require("../../system");
const settings = require("../../../config/settings");
class AliCache extends CacheBase {
    constructor() {
        super();
        //this.userDao = system.getObject("db.auth.userDao");
    }
    isdebug() {
        return settings.env == "dev";
    }
    desc() {
        return "缓存缓存阿里队列信息";
    }
    prefix() {
        return "g_aliInfo_cm:"
    }
    async buildCacheVal(cachekey, inputkey, val, ex, ...items) {
        if (val) {
            return val;
        }
        return null;
    }
}
module.exports = AliCache;